task bcftools {

	Array[File] bcfpon
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e

		mkdir -p /cromwell_root/tmp/bcftools

		for i in ${sep=" " bcfpon}
		do
		  bcftools view $i -Oz -o /cromwell_root/tmp/bcftools/$(basename $i.gz)
		  bcftools index /cromwell_root/tmp/bcftools/$(basename $i.gz) -f
		done

		cd /cromwell_root/tmp/bcftools
		bcftools merge -m all -f PASS,. --force-samples *.gz | bcftools plugin fill-AN-AC | bcftools filter -i 'SUM(AC)>1' > panel_of_normal.vcf
			#mkdir -p /cromwell_root/tmp/bcftools
			#bcftools view ${pon_vcf1} -Oz -o /cromwell_root/tmp/bcftools/$(basename ${pon_vcf1}.gz)
			#bcftools view ${pon_vcf2} -Oz -o /cromwell_root/tmp/bcftools/$(basename ${pon_vcf1}.gz)
			#bcftools view ${pon_vcf3} -Oz -o /cromwell_root/tmp/bcftools/$(basename ${pon_vcf1}.gz)
			#cd /cromwell_root/tmp/bcftools
			#bcftools view ${pon_vcf1} -Oz -o $(basename ${pon_vcf1}.gz)
			#bcftools view ${pon_vcf2} -Oz -o $(basename ${pon_vcf2}.gz)
			#bcftools view ${pon_vcf2} -Oz -o $(basename ${pon_vcf3}.gz)

			#for i in `ls *.gz`; do bcftools index $i -f; done
			#bcftools merge -m all -f PASS,. --force-samples *.vcf.gz | bcftools plugin fill-AN-AC | bcftools filter -i 'SUM(AC)>1' > panel_of_normal.vcf
		#else
		#	echo 1
			#touch panel_of_normal.vcf
		#fi
	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	
	output {
		File vcf1="$(basename ${bcfpon}.gz)"
		#File vcf1="$(basename ${pon_vcf1}.gz)"
		#File vcf2="$(basename ${pon_vcf2}.gz)"
		#File vcf3="$(basename ${pon_vcf3}.gz)"
		#File panel_of_normal_vcf = "panel_of_normal.vcf"
	}
}